[Главная страница](./README.md)

# Введение

## Список терминов

**Базовый модуль** - приложение, развёрнутое как часть *платформы*, и решающее прикладную задачу.

**MLOps модуль** - элемент *платформы*, не решающий прикладную задачу самостоятельно, а направленный на улучшение или упрощение работы базовых модулей.

**Пользователь** - конечный пользователь *модулей*, в основном базовых, который заинтересован в применении *интеллектуальный модулей* для решения прикладных задач.

**Разработчик** - разработчик *модулей* , размещающий свои модули на *платформе*.

**Компонент модуля** - отдельный элемент приложения, представляющий набор функций для взаимодействия с другими элементами, самой платформой или конечными пользователями.

## Работа с фреймворком

Фреймворк позволяет создать на основе Git-репозитория веб-сервис для синхронных и асинхронных вычислений. Для этого необходимо создать набор манифестов, соответствующих компонентам фреймворка, и разместить их в репозитории.

Фреймворк предоставляет два варианта организации вычислительных задач:

1. Веб-сервис для быстрых синхронных вычислений - MLComponent
2. Асинхронный запуск вычислительных экспериментов - ExperimentPipeline
